# $Revision: 1.44 $, $Date: 2012/06/08 08:49:45 $
Summary:	A tag library for reading and editing audio meta data
Summary(pl.UTF-8):	Biblioteka tag do odczytu i edycji metadanych dotyczących dźwięku
Name:		taglib
Version:	1.7.2
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz
# Source0-md5:	b0a9e797d3833fb933c7c3176de3d720
URL:		http://developer.kde.org/~wheeler/taglib.html
BuildRequires:	cmake >= 2.6.2
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.577
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TagLib is a library for reading and editing the meta-data of several
popular audio formats. Currently it supports both ID3v1 and ID3v2 for
MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in
FLAC, MPC, Speex, WavPack TrueAudio, WAV, AIFF, MP4 and ASF files.

%description -l pl.UTF-8
TagLib to biblioteka do odczytu i edycji metadanych kilku popularnych
formatów dźwiękowych. Aktualnie obsługiwane są znaczniki ID3v1 i ID3v2
w plikach MP3, komentarze Ogg Vorbis oraz znaczniki ID3 i komentarze
Vorbis w plikach FLAC, MPC, Speex, WavPack TrueAudio, WAV, AIFF, MP4 i
ASF.

%package devel
Summary:	libtag - header files
Summary(pl.UTF-8):	libtag - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for tag library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tag.

%package examples
Summary:	Example codes for taglib
Summary(hu.UTF-8):	Példaprogramok
Summary(pl.UTF-8):	Przykładowe programy w postaci źródłowej dla tagliba
Group:		Development/Libraries

%description examples
Example codes for taglib.

%description examples -l hu.UTF-8
Példaprogramok.

%description examples -l pl.UTF-8
Przykładowe programy w postaci źródłowej dla tagliba.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DWITH_ASF=ON \
	-DWITH_MP4=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtag.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtag.so.1
%attr(755,root,root) %{_libdir}/libtag_c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtag_c.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/taglib-config
%{_libdir}/libtag.so
%{_libdir}/libtag_c.so
%{_pkgconfigdir}/taglib.pc
%{_pkgconfigdir}/taglib_c.pc
%{_includedir}/taglib

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: taglib.spec,v $
Revision 1.44  2012/06/08 08:49:45  blekot
- 0.7.2
- changed url and source0

Revision 1.43  2011/03/14 20:19:57  qboosh
- description from web page

Revision 1.42  2011/03/14 19:08:38  qboosh
- updated to 1.7
- removed obsolete libtool and am patches

Revision 1.41  2011/02/03 15:10:52  qboosh
- pl for -examples
- fixed Groups (nothing to do with X11)
- track sonames

Revision 1.40  2010/07/09 06:59:26  uzsolt
- examples subpackage
- rel 2

Revision 1.39  2010/05/29 22:00:27  arvenil
- up to 1.6.3

Revision 1.38  2009/10/26 16:52:23  qboosh
- avoid overriding optflags by -O3

Revision 1.37  2009/10/05 10:00:17  cactus
- rel 1

Revision 1.36  2009/10/01 14:45:51  qboosh
- fixed License (LGPL or MPL)
- verbose make

Revision 1.35  2009/09/24 19:50:16  cactus
- add build type

Revision 1.33  2009/09/24 09:13:12  paszczus
- added patch to respect automake 1.11
- enabled ASF support

Revision 1.32  2009/09/24 08:08:28  paszczus
- updated to 1.6

Revision 1.31  2008/06/25 18:29:51  shadzik
- re-added kde-260-lt.patch (fixes kde4-kdemultimedia _dso_handle issue)

Revision 1.30  2008/06/25 18:18:57  shadzik
- don't attr() on symlinks

Revision 1.29  2008/06/25 18:18:21  shadzik
- kde3 patches are obsolete here
- BR: pkgconfig
- ghost symlinks
- more files
- cleanup

Revision 1.28  2008/06/25 18:12:50  shadzik
- 1.5

Revision 1.27  2007-04-16 20:37:28  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 4.

Revision 1.26  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.24  2007/01/13 19:21:19  megabajt
- apply kde-ac260-lt.patch (fix __dso_handle issue)
- release 3

Revision 1.23  2006/12/03 21:35:20  grzegol
- added kde-ac260.patch and kde-am.patch

Revision 1.22  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.21  2005/08/08 11:34:03  blekot
- up to 1.4
- more %files

Revision 1.20  2005/05/05 12:02:11  pluto
- release 2 for Th.

Revision 1.19  2005/03/18 13:54:50  darekr
- BR: perl-base

Revision 1.18  2005/01/09 14:11:57  paszczus
- removed unused __snap

Revision 1.17  2004/11/08 21:02:10  paszczus
- updated to 1.3.1

Revision 1.16  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.15  2004/10/16 16:45:16  qboosh
- up to final 1.3 - C bindings are back
- use automake for now (unsermake is broken, tested both 040805 and 040908)

Revision 1.14  2004/10/02 16:40:24  adgor
- Fixed %files

Revision 1.13  2004/08/11 15:03:19  djurban
- updated to snap of 1.3 (1.2 was tottaly forgotten in pld), it adds:
  + support for 8bit encoding of tags
  + mpc/flac/more format id tags

Revision 1.12  2004/04/05 15:11:50  mkierus
- updated to 1.1

Revision 1.11  2004/02/06 23:20:58  qboosh
- it's pure C++ library, doesn't depend on KDE

Revision 1.10  2004/02/06 12:31:20  qboosh
- added libtool-sanitize (to sanitize -L in *.la) and am18 patch
- rebuild ac/am, restored config.sub refresh (still needed on amd64)
- it's normal shared library, not kpart or anything, so *.la can stay in -devel(?)
- added c binding

Revision 1.9  2004/02/06 11:38:48  pluto
- updated.

Revision 1.8  2004/01/11 13:32:41  adgor
- 040110

Revision 1.7  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.6  2003/12/30 17:03:36  undefine
- BR: ac/am, regenerale locales, tyle qt-libs in %{_libdir}, release 2

Revision 1.5  2003/12/06 13:41:08  adgor
- 031204 (0.96)

Revision 1.4  2003/11/20 17:33:16  qboosh
- added googled URL

Revision 1.3  2003/11/14 17:39:04  adgor
- 031114

Revision 1.2  2003/11/06 18:02:16  qboosh
- defattr for -devel

Revision 1.1  2003/11/06 14:06:50  adgor
- Initial
